<?php
namespace Plugin\View;

use Plugin\Controller\Container;
use Plugin\Exception\Error;
use Plugin\Routing\Router;
/**
 * A view that exists only locally inside a template.
 * 
 * This view has helper functions 
 * @author ibrahim
 *
 */
class LocalView {
	/**
	 * Hold on to values set from the container
	 * @var array mixed
	 */
	private $vars;
	
	public function __construct(){
		$this->vars = Container::$slots;
	}
	public function getSlot($name){
		if (!isset($this->vars[$name])){
			return ;
		}
		
		return $this->vars[$name];
	}
	
	public function render($template,$vars = array()){
		if (empty($template)){
			Error::throw500("You forgot to pass a template for the local view render");
		}
		$path = Router::getTemplatePath($template);
		return View::getView($path,$vars)->getContent();
	}
}